path: /build/build/xwayland-x11-base-23.2.7+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux -unwind video_cards_nvidia" emerge x11-base/xwayland -pv -t && \
    USE="-selinux -unwind video_cards_nvidia" emerge -j ${JOBS} --nodeps x11-base/xwayland && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/xwayland && \
    luet-portage --dir /pkgdir/xwayland x11-base/xwayland && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:eaa2a685c2d1672e13cab3afa855d2a055996488b5a9e0e9e8d522e2cb84cadf
  package:
    name: xwayland
    version: 23.2.7+1
    category: x11-base
    use_flags:
    - -selinux
    - -unwind
    - video_cards_nvidia
    requires:
    - name: xkbcomp
      version: '>=0'
      category: x11-apps
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Compatibility X server to run under Wayland
    uri:
    - https://wayland.freedesktop.org/xserver.html
    license: MIT
    buildtimestamp: 2025-04-21 19:18:14.784605808 +0000 UTC m=+224.416420640
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: dev-libs/libbsd dev-libs/openssl >=dev-libs/wayland-1.21.0 >=dev-libs/wayland-protocols-1.30
        media-fonts/font-util media-libs/libepoxy[X,egl(+)] media-libs/libglvnd[X]
        media-libs/mesa[X(+),egl(+),gbm(+)] x11-apps/xkbcomp >=x11-base/xorg-proto-2022.2
        >=x11-libs/libdrm-2.4.109 x11-libs/libXau x11-libs/libxcvt x11-libs/libXdmcp
        x11-libs/libXfont2 x11-libs/libxkbfile >=x11-libs/libxshmfence-1.1 x11-libs/pixman
        >=x11-libs/xtrans-1.3.5 selinux? ( sys-process/audit >=sys-libs/libselinux-2.0.86
        ) unwind? ( sys-libs/libunwind ) video_cards_nvidia? ( gui-libs/egl-wayland
        )
      IUSE: rpc selinux unwind video_cards_nvidia xcsecurity
      RDEPEND: dev-libs/libbsd dev-libs/openssl >=dev-libs/wayland-1.21.0 >=dev-libs/wayland-protocols-1.30
        media-fonts/font-util media-libs/libepoxy[X,egl(+)] media-libs/libglvnd[X]
        media-libs/mesa[X(+),egl(+),gbm(+)] x11-apps/xkbcomp >=x11-base/xorg-proto-2022.2
        >=x11-libs/libdrm-2.4.109 x11-libs/libXau x11-libs/libxcvt x11-libs/libXdmcp
        x11-libs/libXfont2 x11-libs/libxkbfile >=x11-libs/libxshmfence-1.1 x11-libs/pixman
        >=x11-libs/xtrans-1.3.5 selinux? ( sys-process/audit >=sys-libs/libselinux-2.0.86
        ) unwind? ( sys-libs/libunwind ) video_cards_nvidia? ( gui-libs/egl-wayland
        ) selinux? ( sec-policy/selinux-xserver ) !<=x11-base/xorg-server-1.20.11
      emerge.packages: x11-base/xwayland
      kit: geaaru-kit
      original.package.name: x11-base/xwayland
      original.package.slot: "0"
      original.package.version: 23.2.7
    treedir: /build/packages
  package_dir: /pkgdir/xwayland
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 080887f8b000765031dcf4fa5d76739703f0631623d57d5be2c007f874204f8c
compressiontype: zstd
files:
- usr/bin/Xwayland
- usr/lib64/pkgconfig/xwayland.pc
- usr/share/applications/org.freedesktop.Xwayland.desktop
- usr/share/doc/xwayland-23.2.7/README.md.bz2
- usr/share/man/man1/Xwayland.1.bz2
- var/db/pkg/x11-base/xwayland-23.2.7/BDEPEND
- var/db/pkg/x11-base/xwayland-23.2.7/BUILD_TIME
- var/db/pkg/x11-base/xwayland-23.2.7/CATEGORY
- var/db/pkg/x11-base/xwayland-23.2.7/CBUILD
- var/db/pkg/x11-base/xwayland-23.2.7/CFLAGS
- var/db/pkg/x11-base/xwayland-23.2.7/CHOST
- var/db/pkg/x11-base/xwayland-23.2.7/CONTENTS
- var/db/pkg/x11-base/xwayland-23.2.7/COUNTER
- var/db/pkg/x11-base/xwayland-23.2.7/CTARGET
- var/db/pkg/x11-base/xwayland-23.2.7/CXX
- var/db/pkg/x11-base/xwayland-23.2.7/CXXFLAGS
- var/db/pkg/x11-base/xwayland-23.2.7/DEFINED_PHASES
- var/db/pkg/x11-base/xwayland-23.2.7/DEPEND
- var/db/pkg/x11-base/xwayland-23.2.7/DESCRIPTION
- var/db/pkg/x11-base/xwayland-23.2.7/EAPI
- var/db/pkg/x11-base/xwayland-23.2.7/FEATURES
- var/db/pkg/x11-base/xwayland-23.2.7/HOMEPAGE
- var/db/pkg/x11-base/xwayland-23.2.7/INHERITED
- var/db/pkg/x11-base/xwayland-23.2.7/IUSE
- var/db/pkg/x11-base/xwayland-23.2.7/IUSE_EFFECTIVE
- var/db/pkg/x11-base/xwayland-23.2.7/KEYWORDS
- var/db/pkg/x11-base/xwayland-23.2.7/LDFLAGS
- var/db/pkg/x11-base/xwayland-23.2.7/LICENSE
- var/db/pkg/x11-base/xwayland-23.2.7/NEEDED
- var/db/pkg/x11-base/xwayland-23.2.7/NEEDED.ELF.2
- var/db/pkg/x11-base/xwayland-23.2.7/PF
- var/db/pkg/x11-base/xwayland-23.2.7/RDEPEND
- var/db/pkg/x11-base/xwayland-23.2.7/REQUIRES
- var/db/pkg/x11-base/xwayland-23.2.7/SIZE
- var/db/pkg/x11-base/xwayland-23.2.7/SLOT
- var/db/pkg/x11-base/xwayland-23.2.7/USE
- var/db/pkg/x11-base/xwayland-23.2.7/environment.bz2
- var/db/pkg/x11-base/xwayland-23.2.7/repository
- var/db/pkg/x11-base/xwayland-23.2.7/xwayland-23.2.7.ebuild
package_cacheimage: ""
runtime:
  name: xwayland
  version: 23.2.7+1
  category: x11-base
  use_flags:
  - -selinux
  - -unwind
  - video_cards_nvidia
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: wayland-protocols
    version: '>=0'
    category: dev-libs
  - name: egl-wayland
    version: '>=0'
    category: gui-libs
  - name: font-util
    version: '>=0'
    category: media-fonts
  - name: libepoxy
    version: '>=0'
    category: media-libs
  - name: xkbcomp
    version: '>=0'
    category: x11-apps
  - name: libXau
    version: '>=0'
    category: x11-libs
  - name: libXdmcp
    version: '>=0'
    category: x11-libs
  - name: libXfont2
    version: '>=0'
    category: x11-libs
  - name: libxcvt
    version: '>=0'
    category: x11-libs
  - name: pixman
    version: '>=0'
    category: x11-libs
  conflicts:
  - name: xorg-server
    version: <=1.20.11
    category: x11-bae
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Compatibility X server to run under Wayland
  uri:
  - https://wayland.freedesktop.org/xserver.html
  license: MIT
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: dev-libs/libbsd dev-libs/openssl >=dev-libs/wayland-1.21.0 >=dev-libs/wayland-protocols-1.30
      media-fonts/font-util media-libs/libepoxy[X,egl(+)] media-libs/libglvnd[X] media-libs/mesa[X(+),egl(+),gbm(+)]
      x11-apps/xkbcomp >=x11-base/xorg-proto-2022.2 >=x11-libs/libdrm-2.4.109 x11-libs/libXau
      x11-libs/libxcvt x11-libs/libXdmcp x11-libs/libXfont2 x11-libs/libxkbfile >=x11-libs/libxshmfence-1.1
      x11-libs/pixman >=x11-libs/xtrans-1.3.5 selinux? ( sys-process/audit >=sys-libs/libselinux-2.0.86
      ) unwind? ( sys-libs/libunwind ) video_cards_nvidia? ( gui-libs/egl-wayland
      )
    IUSE: rpc selinux unwind video_cards_nvidia xcsecurity
    RDEPEND: dev-libs/libbsd dev-libs/openssl >=dev-libs/wayland-1.21.0 >=dev-libs/wayland-protocols-1.30
      media-fonts/font-util media-libs/libepoxy[X,egl(+)] media-libs/libglvnd[X] media-libs/mesa[X(+),egl(+),gbm(+)]
      x11-apps/xkbcomp >=x11-base/xorg-proto-2022.2 >=x11-libs/libdrm-2.4.109 x11-libs/libXau
      x11-libs/libxcvt x11-libs/libXdmcp x11-libs/libXfont2 x11-libs/libxkbfile >=x11-libs/libxshmfence-1.1
      x11-libs/pixman >=x11-libs/xtrans-1.3.5 selinux? ( sys-process/audit >=sys-libs/libselinux-2.0.86
      ) unwind? ( sys-libs/libunwind ) video_cards_nvidia? ( gui-libs/egl-wayland
      ) selinux? ( sec-policy/selinux-xserver ) !<=x11-base/xorg-server-1.20.11
    emerge.packages: x11-base/xwayland
    kit: geaaru-kit
    original.package.name: x11-base/xwayland
    original.package.slot: "0"
    original.package.version: 23.2.7
